## com.sun.grizzly.connectioncache.spi.transport
Interface ContactInfo<C extends Closeable>

All Known Implementing Classes:
  CacheableConnectorHandler

    public interface ContactInfo<C extends Closeable>

The ContactInfo represents the information needed to establish a connection to a (possibly different) process. This is a subset of the PEPt 2.0 connection. Any implemetnation of this interface must define hashCode and equals properly so that it may be used in a Map.

Method Summary
`C` `createConnection()` Create a new Connection from this ContactInfo.

Method Detail

### createConnection

    C createConnection()
                                         throws IOException

  Create a new Connection from this ContactInfo. Throws an IOException if Connection creation fails.

  Returns:
    a connection
  Throws:
    `IOException`

Copyright © 2008 SUN Microsystems. All Rights Reserved.